commit 1af18dc46ba3cc65f56a57783ed4ce0ea1cf1a54
Author: freddy77 <freddy77>
Date:   Sat Jul 17 20:05:52 2010 +0000

    small optimization

diff --git a/ChangeLog b/ChangeLog
index e21c840..ffc453b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jul 17 22:05:47 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tdsbytes.h src/tds/challenge.c: small optimization
+
 Sat Jul 17 21:58:08 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tdsodbc.h src/odbc/error.c src/odbc/odbc.c:
 	* src/odbc/odbc_util.c:
@@ -2688,4 +2691,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3075 2010/07/17 19:58:23 freddy77 Exp $
+$Id: ChangeLog,v 1.3076 2010/07/17 20:05:52 freddy77 Exp $
diff --git a/include/tdsbytes.h b/include/tdsbytes.h
index d0a3b87..c4fbc47 100644
--- a/include/tdsbytes.h
+++ b/include/tdsbytes.h
@@ -20,7 +20,7 @@
 #ifndef _tdsbytes_h_
 #define _tdsbytes_h_
 
-/* $Id: tdsbytes.h,v 1.4 2008/08/18 13:31:26 freddy77 Exp $ */
+/* $Id: tdsbytes.h,v 1.5 2010/07/17 20:05:52 freddy77 Exp $ */
 
 #ifndef _tds_h_
 #error tds.h must be included before tdsbytes.h
@@ -109,6 +109,10 @@
 # undef TDS_PUT_A4BE
 # define TDS_PUT_A2BE(ptr,val) (*((TDS_USMALLINT*)(ptr)) = (val))
 # define TDS_PUT_A4BE(ptr,val) (*((TDS_UINT*)(ptr)) = (val))
+# define TDS_HOST2LE(val) TDS_BYTE_SWAP16(val)
+# define TDS_HOST4LE(val) TDS_BYTE_SWAP32(val)
+# define TDS_HOST2BE(val) (val)
+# define TDS_HOST4BE(val) (val)
 #else
 # define TDS_GET_A1(ptr)  TDS_GET_A1LE(ptr)
 # define TDS_GET_UA1(ptr) TDS_GET_UA1LE(ptr)
@@ -131,6 +135,10 @@
 # undef TDS_PUT_A4LE
 # define TDS_PUT_A2LE(ptr,val) (*((TDS_USMALLINT*)(ptr)) = (val))
 # define TDS_PUT_A4LE(ptr,val) (*((TDS_UINT*)(ptr)) = (val))
+# define TDS_HOST2LE(val) (val)
+# define TDS_HOST4LE(val) (val)
+# define TDS_HOST2BE(val) TDS_BYTE_SWAP16(val)
+# define TDS_HOST4BE(val) TDS_BYTE_SWAP32(val)
 #endif
 
 /* these platform support unaligned fetch/store */
diff --git a/src/tds/challenge.c b/src/tds/challenge.c
index 7422046..d048a90 100644
--- a/src/tds/challenge.c
+++ b/src/tds/challenge.c
@@ -45,7 +45,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: challenge.c,v 1.40 2009/09/03 09:25:55 freddy77 Exp $");
+TDS_RCSID(var, "$Id: challenge.c,v 1.41 2010/07/17 20:05:52 freddy77 Exp $");
 
 /**
  * \ingroup libtds
@@ -732,9 +732,9 @@ tds_ntlm_get_auth(TDSSOCKET * tds)
 	/* built NTLMSSP authentication packet */
 	memcpy(packet, ntlm_id, 8);
 	/* sequence 1 client -> server */
-	TDS_PUT_A4LE(packet + 8, 1);
+	TDS_PUT_A4(packet + 8, TDS_HOST4LE(1));
 	/* flags */
-	TDS_PUT_A4LE(packet + 12, 0x08b201);
+	TDS_PUT_A4(packet + 12, TDS_HOST4LE(0x08b201));
 
 	/* domain info */
 	TDS_PUT_A2LE(packet + 16, domain_len);

